<!DOCTYPE html>
<html lang="en">
<head>
  <title>Text with Canvas</title>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="css/styles.css">
  <script src="./js/libs/jquery-1.9.0/jquery.min.js"></script>
  <script src="./js/libs/modernizr-2.6.2/modernizr.min.js"></script>
  <script type="text/javascript">
    $(document).ready(() => {
      if (!Modernizr.canvas)
        alert("Your browser doesn't support Canvas")

      var canvas = document.getElementById("canvas1");
      var ctx = canvas.getContext("2d");
      var text = "Hello World!";

      ctx.font = 'italic 50pt Calibri';
      ctx.fillStyle = "yellowgreen";
      ctx.strokeStyle = "gray";
      ctx.fillText(text, 130, 100);
      ctx.strokeText(text, 130, 100);

      ctx.font = "50px Verdana";
      var gradient = ctx.createLinearGradient(0, 0, canvas.width, 0);
      gradient.addColorStop("0", "magenta");
      gradient.addColorStop("0.5", "blue");
      gradient.addColorStop("1", "red");

      ctx.fillStyle = gradient;
      ctx.fillText("HELLO WORLD!!!", 80, 200);

    });
  </script>
</head>
<body>
  <h1>Text with Canvas</h1>
  <canvas id="canvas1" width="600" height="400" style="border: dotted gray 1px">
    Your browser doesn't support the tag Canvas
  </canvas>
</body>
</html>